cordova.define("cordova-plugin-google-analytics.GoogleAnalyticsPlugin", function(require, exports, module) { 

function GoogleAnalyticsPlugin() {}

GoogleAnalyticsPlugin.prototype.startTrackerWithAccountIds = function(id1, id2, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'startTrackerWithAccountIds', [id1, id2]);
};

GoogleAnalyticsPlugin.prototype.setUserId = function(id, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'setUserId', [id]);
};

/* enables verbose logging */
GoogleAnalyticsPlugin.prototype.debugMode = function(success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'debugMode', []);
};

GoogleAnalyticsPlugin.prototype.trackPageview = function(screen, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'trackPageview', [screen]);
};

GoogleAnalyticsPlugin.prototype.addCustomDimension = function(key, value, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'addCustomDimension', [key, value]);
};

GoogleAnalyticsPlugin.prototype.trackEvent = function(category, action, label, value, success, error) {
  if (typeof label === 'undefined' || label === null) {
    label = '';
  }
  if (typeof value === 'undefined' || value === null) {
    value = 0;
  }

  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'trackEvent', [category, action, label, value]);
};

/**
 * https://developers.google.com/analytics/devguides/collection/android/v3/exceptions
 */
GoogleAnalyticsPlugin.prototype.trackException = function(description, fatal, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'trackException', [description, fatal]);
};

GoogleAnalyticsPlugin.prototype.trackTiming = function(category, intervalInMilliseconds, name, label, success, error) {
  if (typeof intervalInMilliseconds === 'undefined' || intervalInMilliseconds === null) {
    intervalInMilliseconds = 0;
  }
  if (typeof name === 'undefined' || name === null) {
    name = '';
  }
  if (typeof label === 'undefined' || label === null) {
    label = '';
  }

  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'trackTiming', [category, intervalInMilliseconds, name, label]);
};

/* Google Analytics e-Commerce Tracking */
/* https://developers.google.com/analytics/devguides/collection/analyticsjs/ecommerce */
GoogleAnalyticsPlugin.prototype.addTransaction = function(transactionId, affiliation, revenue, tax, shipping, currencyCode, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'addTransaction', [transactionId, affiliation, revenue, tax, shipping, currencyCode]);
};

GoogleAnalyticsPlugin.prototype.addTransactionItem = function(transactionId, name ,sku, category, price, quantity, currencyCode, success, error) {
  cordova.exec(success, error, 'GoogleAnalyticsPlugin', 'addTransactionItem', [transactionId, name ,sku, category, price, quantity, currencyCode]);
};

cordova.addConstructor(function() {
  if(!window.plugins) window.plugins = {};
  window.plugins.googleAnalyticsPlugin = new GoogleAnalyticsPlugin();
});

module.exports = new GoogleAnalyticsPlugin();
});